# EOSC Notebooks

This directory has all the files to get started with a new deployment of EOSC
Notebooks.

## Admin Environment Setup

### Hashicorp Vault

Prepare environment for interrating with Hashicorp Vault:

    export VAULT_ADDR=https://secrets.egi.eu

Login:

    # optional (values from environment)
    # read CLIENT_ID CLIENT_SECRET
    # export CLIENT_ID CLIENT_SECRET

    # login to vault
    ./vault-login.py

Note: example commands to create secrets for "eosc-dev":

    prefix=/users/e1662e20-e34b-468c-b0ce-d899bc878364@egi.eu/eosc-dev
    vault kv put -mount secrets $prefix/FEDCLOUD_DYNAMIC_DNS $HOST1=$SECRET1 $HOST2=$SECRET2
    vault kv put -mount secrets $prefix/deployment-hub checkin_host=... client_id=... client_secret=...

## Inventory parameters

Used parameters in ansible recipes:

* *mail\_fromdomain*: hostname in from header
* *mail_local*: disable e-mail (only local delivery)
* *site\_name*: site identifier
* *vault\_mount\_point:*: path to secrets in the Vault
